%define name compiz
%define version 0.7.8
%define rel 3
%define git 0

%define major 0
%define libname %mklibname %{name} %major
%define libname_devel %mklibname -d %{name}


%if  %{git}
%define srcname %{name}-%{git}
%define distname %{name}
%define release %mkrel 0.%{git}.%{rel}
%else
%define srcname %{name}-%{version}
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

%if %{mdkversion} > 200810
 %define build_kde4 1
%else
 %define build_kde4 0
 %define _kde3_datadir %{_datadir}
 %define _kde3_configdir %{_kde3_datadir}/config
%endif

Name: %name
Version: %version
Release: %release
Summary: OpenGL composite manager for Xgl and AIGLX
Group: System/X11
URL: http://www.go-compiz.org/
Source: http://xorg.freedesktop.org/archive/individual/app/%{srcname}.tar.gz
Source1: compiz.defaults
Source2: compiz-window-decorator
Source3: kstylerc.xinit

# (cg) Using git to manage patches
# To recreate the structure
# git clone git://git.freedesktop.org/git/xorg/app/compiz
# git checkout compiz-0.7.8
# git checkout -b mdv-0.7.8-cherry-picks
# git am 00*.patch
# git checkout -b mdv-0.7.8-patches
# git am 05*.patch

# To apply new custom patches
# git checkout mdv-0.7.8-patches
# (do stuff)

# To apply new cherry-picks
# git checkout mdv-0.7.8-cherry-picks
# git cherry-pick <blah>
# git checkout mdv-0.7.8-patches
# git rebase mdv-0.7.8-cherry-picks

# Cherry Pick Patches
# git format-patch compiz-0.7.8..mdv-0.7.8-cherry-picks
Patch1:   0001-Fix-a-number-of-potential-memleaks-in-XGetWindowProp.patch
Patch2:   0002-Update-switcher-window-internal-state-on-map.patch
Patch3:   0003-Fix-potential-memleak.patch
Patch4:   0004--Fix-reading-of-floats-in-metadata-for-some-locales.patch
Patch5:   0005--Don-t-damage-window-region-on-minimize-shade-endin.patch
Patch6:   0006-Make-sure-geometry-rectangle-is-kept-inside-the-scre.patch
Patch7:   0007-Make-viewportForGeometry-not-take-the-current-viewpo.patch
Patch8:   0008-Make-sure-window-decorations-aren-t-hidden-under-pan.patch
Patch9:   0009-Ensure-windows-fit-in-the-work-area-when-placing-the.patch
Patch10:  0010-Ignore-_NET_WM_STATE_HIDDEN-property-changes-as-sugg.patch
Patch11:  0011-Change-state-property-only-on-managed-windows.patch
Patch12:  0012-Use-changeWindowState-function.patch
Patch13:  0013-Make-sure-window-state-property-is-correct-when-mapp.patch
Patch14:  0014-Also-treat-utility-menu-and-toolbar-windows-as-grou.patch
Patch15:  0015-Handle-desktops-a-bit-better.patch
Patch16:  0016-We-want-to-prevent-focus-for-windows-that-are-not-on.patch

# Mandriva Patches
# git format-patch --start-number 500 mdv-0.7.8-cherry-picks..mdv-0.7.8-patches
Patch500: 0500-Fix-memory-leak-in-KDE3-window-decorator.patch
Patch501: 0501-Add-some-useful-plugins-to-the-default-set-when-no-c.patch
Patch502: 0502-Add-Mandriva-graphic-to-the-top-of-the-cube.patch
Patch503: 0503-Use-our-compiz-window-decorator-script-as-the-defaul.patch
Patch504: 0504-Do-not-put-window-decorations-on-KDE-screensaver.patch
Patch505: 0505-Also-check-for-tfp-in-server-extensions.patch
Patch506: 0506-Fix-KDE3-linking-by-changing-the-directory-order.patch
Patch507: 0507-Fix-gnome-.desktop-file-for-compiz-needed-with-late.patch

License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-util-macros
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libxtst-devel
BuildRequires: libxcursor-devel
BuildRequires: libxrender-devel
BuildRequires: libxcomposite-devel
BuildRequires: libxdamage-devel
BuildRequires: libxinerama-devel
BuildRequires: libxrandr-devel
BuildRequires: libxfixes-devel
BuildRequires: freetype2-devel
BuildRequires: xft2-devel
BuildRequires: fontconfig-devel

BuildRequires: mesagl-devel
BuildRequires: mesaglu-devel

BuildRequires: libpng-devel
BuildRequires: zlib-devel

BuildRequires: dbus-glib-devel
BuildRequires: libGConf2-devel
BuildRequires: libgnome-window-settings-devel
BuildRequires: libwnck-devel
BuildRequires: metacity-devel
BuildRequires: pango-devel
BuildRequires: gnome-desktop-devel
BuildRequires: libgnome-menu-devel
BuildRequires: gnome-panel-devel
BuildRequires: libglade2-devel
BuildRequires: startup-notification-devel
%if %{mdkversion} > 200810
BuildRequires: kde3-macros
%endif
BuildRequires: kdebase3-devel
%if %{build_kde4}
BuildRequires: kdebase4-devel
BuildRequires: kdebase4-workspace-devel
%endif
BuildRequires: bonoboui-devel
BuildRequires: libxslt-devel
BuildRequires: libxslt-proc
BuildRequires: librsvg-devel
BuildRequires: libcairo-devel
BuildRequires: libsvg-cairo-devel
BuildRequires: libdbus-qt-1-devel
BuildRequires: fuse-devel
# needed by autoreconf:
BuildRequires: intltool

Requires(post): GConf2
Requires(preun): GConf2
Requires: %{libname} = %{version}-%{release}
Requires: compositing-wm-common
Provides: compositing-wm
Requires: compiz-decorator
Obsoletes: beryl-core

%description
Compiz is an OpenGL composite manager for Xgl and AIGLX.

#----------------------------------------------------------------------------

%package decorator-gtk
Summary: GTK window decorator for compiz
Group: System/X11
Provides: compiz-decorator
Conflicts: %{name} < 0.3.6-4mdv2007.1
Requires:  %{name} = %{version}-%{release}
Obsoletes: heliodor

%description decorator-gtk
This package provides a GTK window decorator for the compiz OpenGL
compositing manager.

#----------------------------------------------------------------------------

%package decorator-kde
Summary: KDE window decorator for compiz
Group: System/X11
Provides: compiz-decorator
Conflicts: %{name} < 0.3.6-4mdv2007.1
Conflicts: compositing-wm-common <= compositing-wm-common-2009.0-3mdv2009.0
Requires:  %{name} = %{version}-%{release}
Obsoletes: aquamarine

%description decorator-kde
This package provides a KDE window decorator for the compiz OpenGL
compositing manager.

#----------------------------------------------------------------------------

%if %{build_kde4}
%package decorator-kde4
Summary: KDE4 window decorator for compiz
Group: System/X11
Provides: compiz-decorator
Requires:  %{name} = %{version}-%{release}

%description decorator-kde4
This package provides a KDE4 window decorator for the compiz OpenGL
compositing manager.
%endif

#----------------------------------------------------------------------------

%package config-kconfig
Summary: KDE config backend compiz
Group: System/X11
Requires:  %{name} = %{version}-%{release}

%description config-kconfig
This package provides a KDE config backend for the compiz OpenGL
compositing manager.

#----------------------------------------------------------------------------

%package -n %libname
Summary: Shared libraries for compiz
Group: System/X11
Conflicts: %{name} < 0.5.1
Obsoletes: %mklibname beryl-core 0

%description -n %libname
This package provides shared libraries for compiz.

#----------------------------------------------------------------------------

%package -n %libname_devel
Summary: Development files for compiz
Group: Development/X11
Provides:  %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Requires: %{libname} = %{version}-%{release}
Requires: png-devel
Requires: libxcomposite-devel
Requires: libxdamage-devel
Requires: libxfixes-devel
Requires: libxrandr-devel
Requires: libxinerama-devel
Requires: libice-devel
Requires: libsm-devel
Requires: startup-notification-devel
Requires: GL-devel
Requires: libxslt-devel
Requires: libxslt-proc
Requires: glib2-devel

Obsoletes: %mklibname -d beryl-core 0

%description -n %libname_devel
This package provides development files for compiz.

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}

%patch1   -p1
%patch2   -p1
%patch3   -p1
%patch4   -p1
%patch5   -p1
%patch6   -p1
%patch7   -p1
%patch8   -p1
%patch9   -p1
%patch10  -p1
%patch11  -p1
%patch12  -p1
%patch13  -p1
%patch14  -p1
%patch15  -p1
%patch16  -p1

%patch500 -p1
%patch501 -p1
%patch502 -p1
%patch503 -p1
%patch504 -p1
%patch505 -p1
%patch506 -p1
%if %{mdkversion} >= 200900
%patch507 -p1
%endif

%build
%if %{git}
  # This is a CVS snapshot, so we need to generate makefiles.
  sh autogen.sh -V
%else
  # (Anssi 03/2008) Needed to get rid of RPATH=/usr/lib64 on lib64:
  autoreconf
  # build fails without this:
  intltoolize --force
%endif

# (cg) the QTDIR stuff is needed for kde3/qt3 (to find moc) :s
export QTDIR=/usr/lib/qt3
%configure2_5x \
%if !%{build_kde4}
  --disable-kde4 \
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -m755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}-window-decorator
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/compositing-wm/%{name}.defaults
install -D -m 0755 %{SOURCE3} %{buildroot}%{_sysconfdir}/X11/xinit.d/41kstylerc
%find_lang %{name}


# Define the plugins
# NB not all plugins are listed here as some ar packaged separately.
%define plugins annotate blur clone cube dbus decoration fade fs gconf glib ini inotify minimize move obs place png regex resize rotate scale screenshot svg switcher video water wobbly zoom
%define schemas compiz-core %(for plugin in %{plugins}; do echo -n " compiz-$plugin"; done)

%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%post config-kconfig
%post_install_gconf_schemas compiz-kconfig

%preun config-kconfig
%preun_uninstall_gconf_schemas compiz-kconfig

%post decorator-gtk
%post_install_gconf_schemas gwd

%preun decorator-gtk
%preun_uninstall_gconf_schemas gwd


%triggerpostun -- beryl-core

if [ -w %{_sysconfdir}/sysconfig/compositing-wm ]; then
  sed -i 's/COMPOSITING_WM=beryl/COMPOSITING_WM=compiz-fusion/' \
   %{_sysconfdir}/sysconfig/compositing-wm
fi

%clean
rm -rf %{buildroot}

#----------------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{name}-window-decorator
%dir %{_libdir}/%{name}
%(for plugin in %{plugins}; do
   echo "%{_libdir}/%{name}/lib$plugin.so"
   echo "%{_libdir}/%{name}/lib$plugin.la"
   echo "%{_libdir}/%{name}/lib$plugin.a"
  done)
%{_libdir}/window-manager-settings/lib%{name}.*
%(for schema in %{schemas}; do
   echo "%{_sysconfdir}/gconf/schemas/$schema.schemas"
  done)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.xml
%{_datadir}/%{name}/*.xslt
%if %{mdkversion} >= 200900
%{_datadir}/applications/%{name}.desktop
%else
%{_datadir}/gnome/wm-properties/%{name}.desktop
%endif
%{_datadir}/compositing-wm/%{name}.defaults

%files decorator-gtk
%defattr(-,root,root)
%{_bindir}/gtk-window-decorator
%{_sysconfdir}/gconf/schemas/gwd.schemas
%if %{mdkversion} > 200710
%{_datadir}/gnome-control-center/keybindings/50-%{name}-key.xml
%{_datadir}/gnome-control-center/keybindings/50-%{name}-desktop-key.xml
%endif

%files decorator-kde
%defattr(-,root,root)
%{_bindir}/kde-window-decorator
%{_kde3_configdir}/*
%{_sysconfdir}/X11/xinit.d/41kstylerc

%if %{build_kde4}
%files decorator-kde4
%defattr(-,root,root)
%{_bindir}/kde4-window-decorator
%endif

%files config-kconfig
%defattr(-,root,root)
%{_libdir}/%{name}/libkconfig.so
%{_libdir}/%{name}/libkconfig.la
%{_libdir}/%{name}/libkconfig.a
%{_sysconfdir}/gconf/schemas/compiz-kconfig.schemas
%{_kde3_datadir}/config.kcfg

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libdecoration.so.%{major}*

%files -n %libname_devel
%defattr(-,root,root)
%{_includedir}/%{name}/%{name}*.h
%{_includedir}/%{name}/decoration.h
%{_libdir}/libdecoration.a
%{_libdir}/libdecoration.la
%{_libdir}/libdecoration.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/pkgconfig/libdecoration.pc


%changelog
* Thu Nov 20 2008 Olivier Blin <oblin@mandriva.com> 0.7.8-3mdv2009.0
+ Revision: 305051
- Fix qt3/kde3 build (backport of Colin's fix from cooker)
- replace kstylerc.xinit perl script with a shell script
- move kstylerc hack in compiz-decorator-kde

* Thu Oct 02 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-2mdv2009.0
+ Revision: 290930
- Apply upstream cherry picks to fix various mem-leaks and possitioning bugs
- Apply upstream patch to prevent the loss of certain windows (namely firefox)
- Rearrange spec file to manage patches via git

* Thu Sep 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-1mdv2009.0
+ Revision: 285758
- New version: 0.7.8
- Drop revert of patch since upstream have (eventually) come to the same conclusion
- Drop decoration-command patch as fixed differently upstream

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-0.20080912.1mdv2009.0
+ Revision: 284289
- New snapshot

* Thu Sep 04 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.7-0.20080713.3mdv2009.0
+ Revision: 280862
- Compiz fail to detect proper kde4 session to decorator as been started way before kde defines running a full session
  except when runing from console.
  Modify script to fallback on test desktop session too avoiding mistakes

* Wed Sep 03 2008 Frederic Crozat <fcrozat@mandriva.com> 0.7.7-0.20080713.2mdv2009.0
+ Revision: 279678
- Patch9: fix .desktop file for GNOME when using gnome-session >= 2.23.91

* Sun Jul 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.7-0.20080713.1mdv2009.0
+ Revision: 234394
- Add build require on libglade2-devel
- Add build require on gnome-panel-devel
- Add build require on libgnome-menu-devel
- Update to latest snapshot
- Fix kde3 decorator (lib dir order problem)
- Some more macro tweaks for backporting (KDE3 releated)
- Some macro tweaks for backporting (KDE3 releated)
- Do not require kde3-macros on 2008.1
- Update to 0.7.6
- Make kde4 support conditional for backports
- Temporartily disable kde3 on cooker as it wont build

* Sat May 24 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.2mdv2009.0
+ Revision: 211025
- No longer define _disable_ld_no_undefined due to updated rpm-manbo-setup

* Fri May 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.1mdv2009.0
+ Revision: 210181
- Add BuildRequire for KDE4 decorator
- Update to git snapshot
- Enable KDE4 decorator build
- Adapt our compiz-window-decorator script to automatically load the kde4 decorator if appropriate.

* Thu May 08 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.4-3mdv2009.0
+ Revision: 204607
- Restore functionality to kde 3 new path

* Mon Apr 21 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-2mdv2009.0
+ Revision: 196329
- Revert an upstream commit that interferes with decorator starting (will discuss with upstream)

* Sun Apr 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 192651
- Fix a bug where rotation didn't complete properly (upstream)
- New version 0.7.4
- Drop patch for CVE-2007-3920 as this is fixed in Xserver now

* Fri Mar 14 2008 Anssi Hannula <anssi@mandriva.org> 0.7.2-3mdv2008.1
+ Revision: 187752
- re-enable autoreconf on 2008.0 and later as it fixes invalid rpath on
  lib64 systems, resulting in non-accelerated compiz with proprietary
  drivers
- buildrequire intltool for autoreconf
- run intltoolize after autoreconf to fix build

* Mon Mar 10 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-2mdv2008.1
+ Revision: 183402
- Restore the TFP in server extensions patch as compiz manager is not working too well for us.

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181119
- New version 0.7.2

* Sat Mar 01 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-4mdv2008.1
+ Revision: 177014
- Remove the patch for checking server extensions for t_f_p as this has been rejected upstream.
- Remove old patches that were accidentally committed.

* Wed Feb 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-3mdv2008.1
+ Revision: 173169
- Fix packaging properly to not require KDE on core package.

* Tue Feb 19 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-2mdv2008.1
+ Revision: 172967
- Split the kconfig plugin into a separate package to prevent unnecessary deps overload.

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-1mdv2008.1
+ Revision: 172283
- Cherry pick several patches from master (some needed for Fusion plugins)
- Fix spec typo
-Update config patches for new version.
-Upgrade to new version 0.7.0
- Remove versions from the build requires

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Restore conditional %%git.
      Later on this package patches can be stored in a mandriva branch at
      git.mandriva.com, as it already mirrors compiz upstream.

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.6.2-5mdv2008.1
+ Revision: 154682
- Updated BuildRequires and resubmit package.

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-4mdv2008.1
+ Revision: 141788
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - improved descriptions

* Tue Nov 06 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.2-3mdv2008.1
+ Revision: 106354
- Fix for CVE-2007-3920 (screensaver password bypass)

* Wed Oct 24 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.2-2mdv2008.1
+ Revision: 101678
- Potentially fix #29780 (screensaver locking up) by disabling decorations for windows where name=kdesktop_lock
- Do not update gconf schemas as they are autogenerated

* Fri Oct 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.2-1mdv2008.1
+ Revision: 100095
- New upstream version (0.6.2)

* Fri Oct 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-10mdv2008.0
+ Revision: 95542
- Make compiz start the window decorator on init again (this wont work with session saving but such is life)

* Wed Oct 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-9mdv2008.0
+ Revision: 95091
- Make the decorator command patch better

* Wed Oct 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-8mdv2008.0
+ Revision: 95025
- Fix #29769 by using compiz to start the decorator
- Fix a compiz bug that prevented decorator from being run if option value was not changed (e.g. on startup)

* Fri Sep 28 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-7mdv2008.0
+ Revision: 93465
- Automatically change config to load compiz-fusion when upgrading from beryl

* Tue Sep 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-6mdv2008.0
+ Revision: 92758
- Fixes kde-window-decorators and maximized windows (#32215)
- Use autoreconf on 2007.1 build

* Tue Sep 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-5mdv2008.0
+ Revision: 79532
- Drop minimize-unminimize patch as this appears to be now be solved via other means.
- Reorganise patch order.
- More minor changes to make for smooth backporting
- Run aclocal and friends (mainly for 2007.1)

  + Olivier Blin <oblin@mandriva.com>
    - remove white borders fix, artefact is gone with recent Mesa
    - drop NET_WM_CM patch, it breaks --replace (thanks to ocilent1)
      (better fixed in upstream CM selection support, commits
       d9621f6fced9feda1c154c745be5c502f8a14568 and
       65cac43f1bdc8e999991f9022ab079fb7fa4b11f)

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-3mdv2008.0
+ Revision: 62118
- Add build dep on librsvg-devel for svg plugin.

* Tue Aug 07 2007 Olivier Blin <oblin@mandriva.com> 0.5.2-2mdv2008.0
+ Revision: 59999
- do no load gconf plugin by default (#32251)

* Sat Aug 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 58860
- Update cube top image patch for 0.5.2
- Remove now default arguments from configure
- Do not run aclocal et al as this now breaks build
- Update to compiz 0.5.2

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070801.1mdv2008.0
+ Revision: 57834
- Updated snapshot

* Wed Jul 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070725.1mdv2008.0
+ Revision: 55249
- Update Snapshot

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 0.5.1-0.20070712.2mdv2008.0
+ Revision: 52621
- add emerald support in compiz-window-decorator

* Sat Jul 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070712.1mdv2008.0
+ Revision: 52114
- Update snapshot

* Thu Jul 12 2007 Olivier Blin <oblin@mandriva.com> 0.5.1-0.20070707.4mdv2008.0
+ Revision: 51441
- make library package conflict with old compiz since a file has been moved (to ensure smooth upgrades)

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070707.3mdv2008.0
+ Revision: 49645
- Update default settings to load 'glib gconf'

* Sat Jul 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070707.2mdv2008.0
+ Revision: 49594
- Libify compiz and add more Requires to devel package

* Sat Jul 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070707.1mdv2008.0
+ Revision: 49555
- Require xslt packages in -devel package.
- Update Snapshot to 20070707

* Sat Jul 07 2007 Götz Waschk <waschk@mandriva.org> 0.5.1-0.20070627.1mdv2008.0
+ Revision: 49499
- fix buildrequires

  + Olivier Blin <oblin@mandriva.com>
    - buildrequires libxslt-devel

  + Colin Guthrie <cguthrie@mandriva.org>
    - Reenable all previous patches after rediffing
    - Update indirect-detection patch
    - Obsolete Beryl
    - Git snapshot from 20070627 to test new Fusion components.


* Sat Apr 07 2007 Olivier Blin <oblin@mandriva.com> 0.5.0-1mdv2007.1
+ Revision: 151022
- 0.5.0
- remove useless _COMPIZ_GL_INCLUDE_INFERIORS hack since cow is enabled by default in compiz nowadays
- remove merged restart support and kwd fixes
- enable fuse support

* Sun Mar 18 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-10mdv2007.1
+ Revision: 145718
- fix main schema installation (#29638)

* Fri Mar 16 2007 Laurent Montel <lmontel@mandriva.com> 0.3.6-9mdv2007.1
+ Revision: 144898
- Fix mem leak into kde-windows-decoration
  Add diff from 0.3.7 for kde-windows-decoration (fix crash, add shadow support)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3.6-8mdv2007.1
+ Revision: 144198
- Remove patch6 (no longer needed according to fedora)
- Fix Buildrequires : metacity decorations are back for gtk decorator

* Tue Mar 13 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-7mdv2007.1
+ Revision: 142163
- move gwd scheme in compiz-decorator-gtk (thanks to fcrozat)

* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-6mdv2007.1
+ Revision: 141303
- add png to default plugins (thanks to mikala)

* Sun Mar 04 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-5mdv2007.1
+ Revision: 132156
- add compiz-window-decorator wrapper to auto-detect window decorator

* Sun Mar 04 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-4mdv2007.1
+ Revision: 132084
- move decorators in compiz-decorator-gtk and compiz-decorator-kde (#29122)

* Fri Mar 02 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-3mdv2007.1
+ Revision: 131577
- buildrequires libdbus-qt-1-devel
- buildrequires kdebase-devel
- buildrequires kdelibs-devel after all
- buildrequires kdecore-devel
- fix qt library path for x86_64 in configure script
- enable kde-window-decorator

* Fri Feb 09 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-2mdv2007.1
+ Revision: 118642
- allow session manager to restart compiz if it crashes (from RH)
- add patch from gandalfn to workaround white boder shadows with AIGLX
- add GConf2 post/preun requires

* Mon Jan 01 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-1mdv2007.1
+ Revision: 103015
- 0.3.6
- revert upstream indirect rendering detection patch, it seems to require LIBGL_ALWAYS_INDIRECT

* Wed Dec 20 2006 Olivier Blin <oblin@mandriva.com> 0.3.4-2mdv2007.1
+ Revision: 100538
- activate all plugins by default

* Wed Nov 22 2006 Olivier Blin <oblin@mandriva.com> 0.3.4-1mdv2007.1
+ Revision: 86415
- 0.3.4

* Wed Nov 15 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-4mdv2007.1
+ Revision: 84229
- new release
- use find_lang macro
- add compiz.defaults file

* Tue Nov 14 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-3mdv2007.1
+ Revision: 84205
- make the devel package require GL-devel

* Mon Nov 13 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-2mdv2007.1
+ Revision: 83931
- add missing requires in the devel package
- simplify schemas installation
- remove unneeded configure flags
- update URL

* Mon Nov 13 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-1mdv2007.1
+ Revision: 83716
- add gwd schemas
- 0.3.2

* Sun Oct 15 2006 Olivier Blin <oblin@mandriva.com> 0.2.0-1mdv2006.0
+ Revision: 65130
- cosmetics and own some dirs
- 0.2.0
- move common compositing wm scripts/images in compositing-wm-common (configuration file is not backward compatible)
- provide compositing-wm

* Fri Sep 15 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.11mdv2007.0
+ Revision: 61400
- fix LD_LIBRARY_PATH in compiz-start (#25439)

* Thu Sep 14 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.10mdv2007.0
+ Revision: 61345
- increase release (thanks to Colin Guthrie for all the help on #25429)
- use KDEWM to run compiz-start in KDE (#25429)
- use WINDOW_MANAGER to run compiz-start in Gnome (#25429)
- pass positionnal parameters from compiz-start to compiz
- move compiz/decorator actual start in compiz-start

* Fri Sep 08 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.9mdv2007.0
+ Revision: 60563
- use _libdir/mesa as LD_LIBRARY_PATH for compiz if Xgl is running

  + Antonio Hobmeir Neto <neto@mandriva.com>
    - + This is a provisory solution to fix a bug.
      - minimize and unminimize quickly one window, the window lost your original position.

* Wed Aug 30 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.7mdv2007.0
+ Revision: 58573
- add some useful patches from  Fedora

* Sat Aug 26 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.6mdv2007.0
+ Revision: 58062
- use new top image, and adapt schema to scale image

* Fri Aug 25 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.5mdv2007.0
+ Revision: 57988
- really make the sysconfig file a config file
- simplify compiz args handling
- allow to configure another window decorator (#24620)
- remove hardcoded compiz and window-decorator path
- don't start compiz if in failsafe or drak3d session
- disable compiz by default
- start compiz after dbus in xinit

  + vguardiola <vguardiola>
    - New image top of cube
    - Change top image

* Tue Aug 22 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.4mdv2007.0
+ Revision: 56904
- compiz-0.0.13-0.20060817.4mdv2007.0
- handle the no3ddesktop cmdline option
- require mesa-demos

* Sat Aug 19 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.3mdv2007.0
+ Revision: 56750
- sleep some seconds to prevent kwin from stealing the display
- auto-start compiz if possible
- compiz-0.0.13-0.20060817.3mdv2007.0
- automatically enable indirectRendering and strictBinding on AIGLX

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.2mdv2007.0
+ Revision: 56610
- 0.0.13-0.20060817.2mdv2007.0
- require COMPIZ to be explicitely set to 'yes' in sysconfig file
- use --indirect-rendering --strict-binding by in xinit script when Xgl isn't used
- split long description
- add compiz-mandriva.png.patch and drop compiz-mdv.schemas
- drop duplicated schema, better patch compiz to use mandriva.png as default image
- remove old source

* Fri Aug 18 2006 Sébastien Savarin <plouf@mandriva.org> 0.0.13-0.20060817.1mdv2007.0
+ Revision: 56560
- Add forgotten sources
-add compiz-mdv.schemas and mandriva.png

* Fri Aug 11 2006 Olivier Blin <oblin@mandriva.com> 0.0.12.98-5mdv2007.0
+ Revision: 55441
- bump release
- really install sysconfig file
- fix the "don't run configure twice" hack
- allow to start compiz in X session (config in /etc/sysconfig/compiz)
- don't run configure twice

  + Christiaan Welvaart <spturtle@mandriva.org>
    - add BuildRequires: libxcomposite-devel libxdamage-devel intltool

  + Thierry Vignaud <tvignaud@mandriva.com>
    - release
    - fix buildrequires for x86_64

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Fixed some typos
    - Added the options for AIGLX in the description
    - Adding compiz to the repository
    - Adding patches making it work when using AIGLX

  + Frederic Crozat <fcrozat@mandriva.com>
    - Add registration of gconf schema

